//
//  WebListTableViewController.swift
//  navigationController_TableView
//
//  Created by yoshiyuki oshige on 2014/10/02.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

// Webページデータの構造
struct Web {
    var name:String
    var url:String
}

class WebListTableViewController: UITableViewController {

    // Webデータの配列
    let webList:[Web]
    
    required init(coder aDecoder: NSCoder) {
        // Webデータの配列を初期化する
        webList = []
        webList.append(Web(name: "アップル", url: "http://www.apple.com/jp"))
        webList.append(Web(name: "アップルストア", url: "http://store.apple.com/jp"))
        webList.append(Web(name: "Yahoo! Japan", url: "http://www.yahoo.co.jp"))
        webList.append(Web(name: "Amazon", url: "http://www.amazon.co.jp/"))
        
        super.init(coder: aDecoder)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    // MARK: - Table view data source
    
    // セッションの個数
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }
    
    // セルの個数
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // 配列webListの値の個数
        return webList.count
    }
    
    // セルの値を設定する
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("Cell", forIndexPath: indexPath) as UITableViewCell
        
        // 各行のWebデータを取り出す
        let webData = webList[indexPath.row] as Web
        // タイトルにサイト名を表示
        cell.textLabel?.text = webData.name
        // サブタイトルにURLを表示
        cell.detailTextLabel?.text = webData.url
        
        return cell
    }
    
    
    // MARK: - Navigation
    
    // セグエで移動する前にデータを受け渡す
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // セグエshowWebPageのときに実行する
        if segue.identifier == "showWebPage" {
            if let indexPath = self.tableView.indexPathForSelectedRow() {
                let webData = webList[indexPath.row] as Web
                // 移動先のビューコントローラのdetailItemプロパティにwebDataを設定する
                (segue.destinationViewController as ViewController).detailItem = webData
            }
        }
    }
    
}
