//
//  ViewController.swift
//  ex_alertController_actionSheet
//
//  Created by yoshiyuki oshige on 2014/09/19.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    @IBAction func showActionSheet(sender: AnyObject) {
        // アクションシートのインスタンスを生成
        let actionSheet = UIAlertController(
            title: "タイトル",
            message: "メッセージ文",
            preferredStyle: UIAlertControllerStyle.ActionSheet) // アクションシート形式にする
        
        // アクションシートにボタンを追加する
        // ボタン１
        actionSheet.addAction(
            UIAlertAction(
                title: "ボタン１です",
                style: UIAlertActionStyle.Default,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // ボタン２
        actionSheet.addAction(
            UIAlertAction(
                title: "ボタン２です",
                style: UIAlertActionStyle.Default,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // キャンセル（追加順にかかわらず最後に表示される）
        actionSheet.addAction(
            UIAlertAction(
                title: "キャンセル",
                style: UIAlertActionStyle.Cancel,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // 赤色のボタン
        actionSheet.addAction(
            UIAlertAction(
                title: "削除します",
                style: UIAlertActionStyle.Destructive,
                handler: { action in
                    println(action.title)
                }
            ))
                
        // アクションシートを表示する
        self.presentViewController(actionSheet,
            animated: true,
            completion: {
                // 表示完了後に実行
                println("アクションシートが表示された")
            }
        )
    }
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}