//
//  ViewController.swift
//  ex_alertController_alert
//
//  Created by yoshiyuki oshige on 2014/11/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITextFieldDelegate {
    
    @IBAction func showAlert(sender: AnyObject) {
        // アラートのインスタンスを生成
        let alert = UIAlertController(
            title: "タイトル",
            message: "メッセージ文",
            preferredStyle: UIAlertControllerStyle.Alert) // アラート形式にする
        
        // アラートにボタンを追加する
        // ボタン１
        alert.addAction(
            UIAlertAction(
                title: "ボタン１です",
                style: UIAlertActionStyle.Default,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // ボタン２
        alert.addAction(
            UIAlertAction(
                title: "ボタン２です",
                style: UIAlertActionStyle.Default,
                handler: { action in
                    self.hello()
                }
            ))
        
        // キャンセル（追加順にかかわらず最後に表示される）
        alert.addAction(
            UIAlertAction(
                title: "キャンセル",
                style: UIAlertActionStyle.Cancel,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // 赤色のボタン
        alert.addAction(
            UIAlertAction(
                title: "削除します",
                style: UIAlertActionStyle.Destructive,
                handler: { action in
                    println(action.title)
                }
            ))
        
        // アラートにテキストフィールドを追加する
        alert.addTextFieldWithConfigurationHandler{textField in
            // テキストフィールドのデリゲートになる
            textField.delegate = self
        }
        
        // アラートを表示する
        self.presentViewController(alert,
            animated: true,
            completion: {
                // 表示完了後に実行
                println("アラートが表示された")
            }
        )
    }
    
    // 編集が終わったのでキーボードを下げる
    func textFieldDidEndEditing(textField: UITextField) {
        println(textField.text)
    }
    

    // ボタン2で実行するメソッド
    func hello() {
        println("ハロー！")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

