//
//  ViewController.swift
//  ex_TouchID
//
//  Created by yoshiyuki oshige on 2014/10/25.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit
import LocalAuthentication

class ViewController: UIViewController {
   
    @IBAction func doAuth(sender: AnyObject) {
        // 認証オブジェクトを作る
        let authContext = LAContext()
        // Touch IDを使えるかどうかチェックする
        if authContext.canEvaluatePolicy(LAPolicy.DeviceOwnerAuthenticationWithBiometrics, error: nil){
            // Touch ID認証へ進む
            authWithBiometrics()
        } else {
            // Touch IDに対応していない
            return
        }
    }
    
    // Touch ID認証を行う
    func authWithBiometrics(){
        // Touch ID認証を行うダイアログ
        let authContext = LAContext()
        authContext.evaluatePolicy(LAPolicy.DeviceOwnerAuthenticationWithBiometrics,
            localizedReason: "Touch ID認証をします",
            reply: {(success: Bool, error: NSError!) -> Void in
                // 結果を処理する
                self.result(success, error: error)
        })
    }
    
    // Touch ID認証の応答を行う（クロージャから呼び出す）
    func result(success: Bool, error: NSError!){
        var resultMsg:String
        if success {
            resultMsg = "認証に成功しました"
        } else {
            switch error.code {
            case -1:
                resultMsg = "認証に失敗"
            case -2:
                resultMsg = "キャンセルを選んだ"
            case -3:
                resultMsg = "パスワード入力を選んだ"
            default:
                resultMsg = "その他: \(error.code)"
            }
        }
        
        // 確認ダイアログ
        let alert = UIAlertController(
            title: "Touch ID認証結果",
            message: resultMsg,
            preferredStyle: UIAlertControllerStyle.Alert) // アラート形式にする
        // OKボタン
        alert.addAction(
            UIAlertAction(
                title: "OK",
                style: UIAlertActionStyle.Default,
                handler: nil
            ))
        // 確認ダイアログを表示する
        self.presentViewController(alert, animated: true, completion:nil)
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.

    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

